{% comment %}

Flip Section part

Context:
    section_name
    section.
        name
        title
        form_detail
        form

{% endcomment %}

{% load i18n %}
{% load bootstrap %}

<div class="flip-section {{ section_name }}-section" id="{{ section_name }}">
    {# View #}
    <div id="{{ section_name }}-view" class="view box box-muted">

        <div class="box-header">
            <div class="pull-right">
                <a href="{{ section.url }}" class="btn btn-default btn-sm section-edit-button" data-role="edit">
                    <span class="{{ ICONS.edit }}"></span>
                    {% trans "Change" %}
                </a>
            </div>
            <h2>
                {{ section.title }}
            </h2>
        </div>

        <div class="box-content">
            <table class="table-condensed">
                {% for field in section.form_detail %}
                    <tr>
                        <td class="label-cell">
                            <strong>
                                {{ field.label }}:
                            </strong>
                        </td>
                        <td>
                            {{ field.value }}
                        </td>
                    </tr>
                {% endfor %}
            </table>
            <div class="clearfix"></div>
        </div>
    </div>

    {# Edit #}
{#    <div id="{{ section_name }}-edit" class="edit box box-muted">#}
{#        <div class="box-header">#}
{#            <h2>#}
{#                {% trans "Product details" %}#}
{#            </h2>#}
{#        </div>#}
{#        <div class="box-content">#}
{#            <form class="form-horizontal" method="post" enctype="multipart/form-data" action="{{ request.get_full_path }}">#}
{#                {% csrf_token %}#}
{##}
{#                <input type="hidden" name="section" value="{{ section_name }}" />#}
{##}
{#                {{ section.form|bootstrap_horizontal:'col-sm-3' }}#}
{##}
{#                <div class="form-group">#}
{#                    <div class="col-sm-offset-3 col-sm-9">#}
{#                        <button type="submit" class="btn btn-primary">#}
{#                            {% trans "Save" %}#}
{#                        </button>#}
                        {# Clearing the URL hash hides all editors #}
{#                        <a href="#" class="btn btn-default" data-role="cancel">#}
{#                            {% trans "Cancel" %}#}
{#                        </a>#}
{#                    </div>#}
{#                </div>#}
{#            </form>#}
{#            <div class="clearfix"></div>#}
{#        </div>#}
{#    </div>#}
</div>

{% if url_hash %}
<script>
    // carry over the window hash to show the edit form with errors
    window.location.hash = '{{ url_hash }}'
</script>
{% endif %}
